%define __libtoolize    /bin/true

%define lib_name_orig %mklibname kdeedu
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define unstable 0
%{?_unstable: %{expand: %%global unstable 1}}

%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%if %unstable
%define dont_strip 1
%endif

%define qtdir   %{_prefix}/lib/qt3

Name:		kdeedu
Summary:	K Desktop Environment - Toys and Amusements
Version:        3.5.7
Release:        %mkrel 10
Epoch:		1
URL:		ftp://ftp.kde.org/pub/kde/stable/%version/src/
Source:     	ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
Patch0:         kdeedu-3.5.7-fix-categories.patch
Patch1: 	kdeedu-3.5.7-fix-kvoctrain-mimetype-install.patch
Patch2:		kdeedu-3.5.7-kpercentage-fix-invalid-desktop.patch
Patch3:		kdeedu-3.5.7-kverbos-fix-invalid-desktop.patch
Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires: X11-devel  
BuildRequires: freetype2-devel 
BuildRequires: kdelibs-devel  
BuildRequires: bzip2-devel
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel 
BuildRequires: png-devel
BuildRequires: qt3-devel 
BuildRequires: zlib-devel
BuildRequires: libusb-devel
Buildrequires: boost-devel 
BuildRequires: python-devel
BuildRequires: mesaglut-devel
BuildRequires: ocaml
BuildRequires: facile
Obsoletes:     kdeedu3
Provides:      kdeedu3
Obsoletes:     kstars, ktouch, keduca
Provides:      kstars, ktouch, keduca
Requires:     %lib_name = %epoch:%version-%release
Conflicts:     kdeedu <= 3.2-9mdk
Requires:      arts
Requires:      kttsd
Obsoletes:     kgeography <= 0.4-2mdk
Provides:      kgeography
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Conflicts:     kdelibs-common < %epoch:3.5.7-17

%description
This package provides:
  - KStars: a desktop planetarium for Linux/KDE
  - Kalzium: displays the Periodic Table of Elements. Included are a quizz, a
             Timeline, different color schemes and more...
  - KHangMan: the classical hangman game
  - KMessedWords: the letters are all scrambled, try to find the right word!
  - KWordQuiz: a vocabulary studying tool for learning languages or termninology
  - Kiten: a japanese reference/learning tool
  - KGeo: program for interactive Geometry just like programs such as Euklid,
          Zirkel und Lineal or Kseg
  - KmPlot: a mathematical function plotter
  - KPercentage: test your ability to answer percentage-related questions!
  - KTouch: learn touch-typing with this very efficient program
  - KEduca: helps the pupils revise their lessons
  - Blinken: blinKen is the KDE version of the well-known game Simon Says.

%post
/sbin/ldconfig              
%update_menus
%{update_desktop_database}
%update_icon_cache crystalsvg
%update_icon_cache hicolor

%postun                                                                         
/sbin/ldconfig
%clean_menus
%{update_desktop_database}
%clean_icon_cache crystalsvg
%clean_icon_cache hicolor

%files 
%defattr(-,root,root)
%_bindir/*
%config(noreplace) %_datadir/config/*
%_datadir/config.kcfg/*
%doc %_docdir/HTML/en/*
%dir %_datadir/apps/
%_datadir/apps/*
%_datadir/icons/*/*/*/*
%_datadir/services/*.desktop
%_datadir/mimelnk/*/*.desktop
%_datadir/applications/kde/*.desktop
%_datadir/applnk/*

#------------------------------------------------------------

%package -n %lib_name-devel
Summary:    Header files for kdeedu
Group:      Development/KDE and Qt
Requires:   %lib_name = %epoch:%version-%release
Obsoletes:  kdeedu-devel
Provides:	kdeedu-devel = %epoch:%version-%release
Conflicts:	%lib_name-devel <= 3.2-9mdk

%description -n %lib_name-devel
Headers files for kdeedu.

%files -n %lib_name-devel
%defattr(-,root,root,-)
%_libdir/*.so
%_includedir/*

#------------------------------------------------------------

%package -n %lib_name
Summary:    Header files for kdeedu
Group:      Development/KDE and Qt
Conflicts:  %lib_name <= 3.2-9mdk

%description -n %lib_name
Headers files for kdeedu.

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%defattr(-,root,root,-)
%_libdir/*.la
%_libdir/*.so.*
%_libdir/kde3/*

#------------------------------------------------------------

%prep

%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1
%patch3 -p1

%build
make -f admin/Makefile.common cvs
export QTDIR=%qtdir
export KDEDIR=%_prefix

%configure2_5x \
%if %unstable
    --enable-debug=full \
%else
    --disable-debug \
%endif
    --enable-shared \
%if %use_enable_final
    --enable-final \
%else
    --disable-final \
%endif
    --disable-static \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
    --disable-embedded \
    --disable-qtopia \
    --disable-rpath \
    --with-gnu-ld \
    --with-pic \
    --with-xinerama

%make


%install
rm -fr %buildroot

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot





%changelog
* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 3.5.7-10mdv2008.0
+ Revision: 69344
- fix invalid kverbos desktop file
- fix invalid kpercentage desktop file

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add back x-kvtml mimetype

* Wed Jul 25 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-8mdv2008.0
+ Revision: 55270
- Not include duplicated mimetypes.

* Wed Jul 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-7mdv2008.0
+ Revision: 55211
- Fix conflict
- Package mimetypes

* Wed Jul 25 2007 David Walluck <walluck@mandriva.org> 1:3.5.7-6mdv2008.0
+ Revision: 55186
- fix x-kvtml.desktop file conflict with kdelibs-common

* Thu Jul 19 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-5mdv2008.0
+ Revision: 53575
- Add conflict on older kdebase (bug #32007)

* Mon Jul 16 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-4mdv2008.0
+ Revision: 52766
- Add mimetype support for Kvoctrain

* Thu Jul 05 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-3mdv2008.0
+ Revision: 48672
- Add facile as BuildRequires

* Thu May 31 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-2mdv2008.0
+ Revision: 33461
-Add Patch0:  Fix Categories

* Wed May 16 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27461
- 3.5.7 release


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115851
- 3.5.6
- Add missing build requires
- Add patch from Anssi Hannula to fix build kig with python 2.5

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 72581
- Rebuild
- 3.5.5

* Wed Aug 16 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 56215
- New package (2006/08/15 3.5.4-2mdv)
  Fix install all sound files for ktouch
- New package (2006/08/03 3.5.4-1mdv)

* Fri Jul 21 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-3mdv2007.0
+ Revision: 41715
- Disable debug
- Use macro
- 3.5.3
- Upgrade version
- Rebuild against new xorg
- Rebuild to generate categories
- 3.5.2
  Remove patch merged
- Patch from Fred Crozat fix crash with kstars and libxml2
- 3.5.1
- Enable debug for cooker only
  MDK9.2 is obsolete now
- real 3.5.0
- 3.5.0
- Fix menu entry
- Fix spec file
  Fix obsolete/provides kgeography
  Fix menu entry for kgeography
- 3.4.92
- Rebuild
- Use --lib-suffix
  Fix bug#17771
- Sync with branch
- Remove debug
  Add diff from kde3_4_2 branch
- 3.4.2

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - We are Mandriva now
    - Uploading package ./kdeedu

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Use --enable-new-ldflags 
- Reactivate debug
- Fix email

* Thu Apr 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Feb 15 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-9mdk
- Fix indi overflow

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-8mdk
- Disable debug

* Sat Jan 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-7mdk
- Fix generate menu

* Wed Jan 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-6mdk
- Use -fvisibility

* Tue Dec 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-5mdk
- Sync with CVS

* Mon Dec 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Add requires on kttsd (necessary for kmouth split it ? )

* Tue Dec 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Add patch4: fix detect python2.4

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Use mandrakelinux-create-kde-mdk-menu

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Mon Nov 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-6mdk
- Add requires arts

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-5mdk
- bye bye %%buildfor

* Thu Oct 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- Sync with CVS

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix spec file

* Tue Oct 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- kde 3.3.1

* Thu Sep 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-3mdk
- Sync with CVS

* Tue Sep 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-2mdk
- Add missing desktop file

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Fri Aug 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-7mdk
- Clean a little spec file

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild for new menu translation table

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Remove debug

* Wed Aug 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Fix spec file

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Sat Jun 05 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file for using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Use %%configure
- Use mdkversion
- Fix icon for kstars bug#9309

* Fri Mar 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Fix install (don't install kdeedu when we want just install libkdeedu-devel)

* Fri Mar 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix Group
- Fix requires

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Fix kstar indi

* Tue Feb 24 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix kmplot

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix epoch

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix #7962

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS (fix kstars)
- Rebuild with good kdedesktop2mdkmenu.pl

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Fix icons

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix distint error

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

